## org.jboss.util
Interface ServiceControlMBean

All Superinterfaces:
  Service

All Known Implementing Classes:
  ServiceControl

public interface ServiceControlMBean
extends Service

The interface for the ServiceControl MBean. This service manages the lifecycle of JBoss services.

Version:
  $Revision: 1.2 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Scott_Stark@displayscape.com
See Also:
  `Service`

Method Summary
`void` `register(Service service)`
`void` `unregister(Service service)`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Method Detail

### register

    public void register(Service service)

### unregister

    public void unregister(Service service)

Copyright © 2000 The JBoss Organization. All Rights Reserved.